Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.listeners
Class AbstractChangeApprover

    java.lang.Object
      org.apache.muse.ws.resource.properties.listeners.AbstractChangeApprover

All Implemented Interfaces:
  PropertyChangeApprover

Direct Known Subclasses:
  ExternalChangeApprover, InsertOnlyApprover, ReadOnlyApprover, StaticValuesApprover, ValidValuesApprover

public abstract class AbstractChangeApprover
extends java.lang.Object
implements PropertyChangeApprover

AbstractChangeApprover is an abstract base class that implements the identification and security aspects of PropertyChangeApprover. Concrete approvers that subclass this class only have to implement the PropertyChangeApprover.validateChange() method.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`AbstractChangeApprover(QName qname)` Creates a new approver for the property with the given name.

Method Summary
`QName` | `getPropertyName()`
`boolean` | `isSecure(java.lang.Object outsideToken)`
`void` | `setSecurityToken(java.lang.Object securityToken)` Sets the security token that will be used in all security checks via isSecure(Object).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.ws.resource.properties.listeners.PropertyChangeApprover
`validateChange`

Constructor Detail

### AbstractChangeApprover

    public AbstractChangeApprover(QName qname)

  Creates a new approver for the property with the given name.

Parameters:
  `qname` - The QName of the property to monitor.

Method Detail

### getPropertyName

    public QName getPropertyName()

  Specified by:
    `getPropertyName` in interface `PropertyChangeApprover`
  Returns:
    The QName of the property being monitored.

### isSecure

    public boolean isSecure(java.lang.Object outsideToken)

  Specified by:
    `isSecure` in interface `PropertyChangeApprover`
  Parameters:
    `outsideToken` - The security token provided by the caller who wishes to make the property change.
  Returns:
    True if the given token is the same object as the internal security token, or if they match according to equals().
  See Also:
    `PropertyChangeApprover.setSecurityToken(Object)`

### setSecurityToken

    public void setSecurityToken(java.lang.Object securityToken)

  Description copied from interface: `PropertyChangeApprover`
  Sets the security token that will be used in all security checks via isSecure(Object).

  Specified by:
    `setSecurityToken` in interface `PropertyChangeApprover`
  Parameters:
    `securityToken` -
  See Also:
    `PropertyChangeApprover.isSecure(Object)`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD